List models
curl --request GET \
--url https://api.dualmindlab.tech/api/models \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dualmindlab.tech/api/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dualmindlab.tech/api/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dualmindlab.tech/api/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dualmindlab.tech/api/models"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api.dualmindlab.tech/api/models");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.dualmindlab.tech/api/models")
.header("Authorization", "Bearer <token>")
.asString();{
"items": [
{
"modelId": "c6e0cc03-3b12-41bf-b119-d0d02bec039b",
"modelName": "llama-3.3-70b-versatile",
"displayName": "Llama 3.3 70B Versatile",
"providerName": "groq",
"isFree": true,
"status": "active"
},
{
"modelId": "fdbfca6d-a3d2-4a70-b0ab-426024eb5cd5",
"modelName": "@cf/meta/llama-3.3-70b-instruct-fp8-fast",
"displayName": "llama-3.3-70b-instruct-fp8-fast",
"providerName": "cloudflare",
"isFree": true,
"status": "active"
}
]
}{
"success": false,
"error": "<string>",
"code": "<string>"
}Models
List models
Every active model you can use, newest first.
GET
/
api
/
models
List models
curl --request GET \
--url https://api.dualmindlab.tech/api/models \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dualmindlab.tech/api/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dualmindlab.tech/api/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dualmindlab.tech/api/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dualmindlab.tech/api/models"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api.dualmindlab.tech/api/models");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.dualmindlab.tech/api/models")
.header("Authorization", "Bearer <token>")
.asString();{
"items": [
{
"modelId": "c6e0cc03-3b12-41bf-b119-d0d02bec039b",
"modelName": "llama-3.3-70b-versatile",
"displayName": "Llama 3.3 70B Versatile",
"providerName": "groq",
"isFree": true,
"status": "active"
},
{
"modelId": "fdbfca6d-a3d2-4a70-b0ab-426024eb5cd5",
"modelName": "@cf/meta/llama-3.3-70b-instruct-fp8-fast",
"displayName": "llama-3.3-70b-instruct-fp8-fast",
"providerName": "cloudflare",
"isFree": true,
"status": "active"
}
]
}{
"success": false,
"error": "<string>",
"code": "<string>"
}Use a model’s
modelName (or modelId) as model, model1 or model2. Cloudflare Workers AI models (providerName: "cloudflare") are only used when you pick them; random picks come from Groq and Google AI Studio. See Models and providers.Last modified on October 18, 2026
⌘I